Bug 167908 - [ipr] Problematic license on firmware
[ipr] Problematic license on firmware
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: hotplug (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2005-09-09 08:56 EDT by Imed Chihi
Modified: 2014-03-16 22:55 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2007-0422
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-11 14:43:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Imed Chihi 2005-09-09 08:56:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.10) Gecko/20050719 Red Hat/1.0.6-1.4.1 Firefox/1.0.6

Description of problem:
The source RPM of hotplug (at least on version 2002_04_01-20.4) contains a firmware image hotplug-2002_04_01/fxload-2002_04_11/a3load.hex which has a restrictive license for Red Hat partners, it reads: 

  Copyright (c) 2001-2002 by Cypress Semiconductor Corporation

  Cypress Semiconductor Corporation hereby grants a copyright license to
  use or redistribute this firmware image, in text or binary form as
  required, only in conjunction with devices using a Cypress USB
  microcontroller.  Every copy in any form of the firmware shall include
  Cypress copyright legends.

This is a concern for some OEM vendors shipping Red Hat Enterprise Linux. Some OEM vendors ship custom-built boxes which may not include any Cypress hardware but still ship the hotplug package as part of Red Hat Enterprise Linux distribution.

Version-Release number of selected component (if applicable):
Checked on 2002_04_01-20.4, should apply to other versions

How reproducible:

Steps to Reproduce:
On Red Hat Enterprise Linux 3
1. up2date --get-source hotplug
2. rpm -Uvh /var/spool/up2date/hotplug-2002_04_01-20.4.src.rpm     
3. cd /usr/src/redhat/SPECS/
4. rpmbuild -bp hotplug.spec
5. cd ../BUILD/
6. View hotplug-2002_04_01/fxload-2002_04_11/a3load.hex

Actual Results:  The license is too restrictive for OEM vendors shipping the package.

Expected Results:  A license (GPL?) that allows OEM vendors to ship the package (as part of a generic distribution) without requiring the use of a Cypress microcontroller.

Additional info:
Comment 8 David Lawrence 2006-03-10 12:18:33 EST
NEEDINFO_PM has been deprecated. Changing status to NEEDINFO and changing
ownership to pm manager.
Comment 11 Daniel Riek 2007-01-19 00:17:52 EST
Sorry, that this fell under the table.

Please remove the firmware from the tarball in the source rpm as we do not ship
it in the binary anways.
Comment 15 Bill Nottingham 2007-02-20 13:01:31 EST
Built as 2002_04_01-20.6.
Comment 19 Red Hat Bugzilla 2007-06-11 14:43:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.